libqalculate-0.9.8: DataProperty Class Reference

libqalculate-0.9.8

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
DataProperty Class Reference

A data set property. More...

`#include <DataSet.h>`

## Public Member Functions
| DataProperty (DataSet *parent_set, string s_name="", string s_title="", string s_description="")
| DataProperty (const DataProperty &dp)
void | set (const DataProperty &dp)
void | setName (string s_name, bool is_ref=false)
void | setNameIsReference (size_t index=1, bool is_ref=true)
bool | nameIsReference (size_t index=1) const
void | clearNames ()
void | addName (string s_name, bool is_ref=false, size_t index=0)
size_t | hasName (const string &s_name)
size_t | countNames () const
const string & | getName (size_t index=1) const
const string & | getReferenceName () const
void | setTitle (string s_title)
const string & | title (bool return_name_if_no_title=true) const
void | setDescription (string s_description)
const string & | description () const
void | setUnit (string s_unit)
const string & | getUnitString () const
const MathStructure * | getUnitStruct ()
string | getInputString (const string &valuestr)
string | getDisplayString (const string &valuestr)
MathStructure * | generateStruct (const string &valuestr, int is_approximate=-1)
void | setKey (bool is_key=true)
bool | isKey () const
void | setHidden (bool is_hidden=true)
bool | isHidden () const
void | setCaseSensitive (bool is_case_sensitive=true)
bool | isCaseSensitive () const
void | setUsesBrackets (bool uses_brackets=true)
bool | usesBrackets () const
void | setApproximate (bool is_approximate=true)
bool | isApproximate () const
void | setPropertyType (PropertyType property_type)
PropertyType | propertyType () const
bool | isUserModified () const
void | setUserModified (bool user_modified=true)
DataSet * | parentSet () const

## Protected Attributes
vector< string > | names
vector< bool > | name_is_ref
string | sdescr
string | stitle
string | sunit
MathStructure * | m_unit
bool | b_approximate
bool | b_brackets
bool | b_key
bool | b_case
bool | b_hide
DataSet * | parent
PropertyType | ptype
bool | b_uchanged

## Detailed Description

A data set property.

Property definitions for use with data set objects.

## Constructor & Destructor Documentation

DataProperty::DataProperty | ( | DataSet * | parent_set,
|  | string | s_name = `""`,
|  | string | s_title = `""`,
|  | string | s_description = `""`
| ) |  |

Create a data property.

Parameters

  s_name | Property name (initial) used for reference.
  s_title | Descriptive name/title.
  s_description | Description.

The documentation for this class was generated from the following file:

- libqalculate/DataSet.h